package main

import (
	"ctyun_lts_cli_tool/cmd"
	"fmt"
	"os"

	"github.com/spf13/viper"
)

func main() {
	// 初始化配置
	viper.SetConfigName("config")
	viper.SetConfigType("yaml")
	viper.AddConfigPath("./")

	if err := viper.ReadInConfig(); err != nil {
		file, err := os.Create("config.yaml")
		if err != nil {
			panic(err)
		}
		defer file.Close()

		fmt.Println("config.yaml 文件已创建")
		//fmt.Println("No configuration file found, using defaults.")
	}

	// 执行命令
	cmd.Execute()
}
